#!/usr/bin/env python3

import sys
from twisted.internet import reactor
from twisted.internet import protocol
from twisted.python import log
from twisted.python.logfile import DailyLogFile
from config import config, version
from proxy import Player

if "logfile" in config and config["logfile"]:
    log.startLogging(DailyLogFile("proxy.log", "."))
else:
    log.startLogging(sys.stdout)

log.msg("This is version: {0}".format(version))
factory = protocol.Factory()
factory.protocol = Player
reactor.listenTCP(config["listen_port"], factory, interface=config["listen_on"])
reactor.run()
